<!doctype html>
<html lang="de-DE">

{{> head }}

<body>
  <div>
    {{> breadcrumbs }}
    <div id="ovk-content">
      <h1>Aufgabenstellung</h1>

      <div class="card ovk-aufgabe">
        <div class="card-header">
          <b>AUFGABE</b>
        </div>
        <div class="card-body">
          Ich bin eine Aufgabenstellung. <br/>
          Bei Bedarf können card-body und card-header auch separat genutzt werden.
        </div>
      </div>

      <h1>Hinweis</h1>
      <div class="card ovk-hinweis">
        <div class="card-header">
            <b>HINWEIS</b>
        </div>
        <div class="card-body">
          Ich bin ein Hinweistext<br/>
          Im folgenden seien einige Tools beispielhaft genannt, die Thonny im Gegensatz zu einem herkörmlichen
          Editor hat. <br/>
          <div class="row">
            <div class="col-6">
              <ul class="ovk-bullet-list">
                <li>Autovervollständigung</li>
                <li>Syntaxhervorhebung</li>
                <li>Hervorhebung zusammengehöriger Klammern</li>
              </ul>
            </div>
          </div>
        </div>
      </div>

      <h1>Infobox</h1>
      <div class="card ovk-story">
        <div class="card-header schon-gewusst-header">
          {{>info}}
          <div style="padding-top: 0.2em;">Schon gewusst?</div>
        </div>
        <div class="card-body schon-gewusst-body">
          Hier stehen Inhalte, die dem Leser als zusätzliche Information dienen und/oder einen Ausblick
          auf zukünftige Themen geben.
        </div>
      </div>

      <h1>Zitat</h1>
      <p>
        Laut Wikipedia ist ein Zitat
        <div class="ovk-citation-container">
          <blockquote class="ovk-citation">
              "[...] eine wörtlich übernommene Stelle aus einem Text oder ein Hinweis auf eine bestimmte Textstelle.
              Auch Inhalte aus anderen Medien können übernommen werden. Es gibt Bild-, Musik- und Filmzitate.“
          <cite><a href="https://de.wikipedia.org/wiki/Zitat">https://de.wikipedia.org/wiki/Zitat</a></cite>
          </blockquote>
        </div>
      </p>

      <h1>Code-Darstellungen</h1>
      <h2>Python</h2>
      <h3>Im Text</h3>

      <p>
        In diesem Text wird eine print-Funktion <code>print('Hello World')</code> hervorgehebt, 
        die einen Text ausgibt.
      </p>

      <h3>Als eigener Block</h3>

      <pre class="coding-block">
        <code class="python">
          # Das ist ein Beispielprogramm in Python
          def laenge(liste):
            if liste == []:
              return 0
            else:
              liste.pop()
              return 1 + laenge(liste)
        </code>
      </pre>

      <h2>SQL</h2>

      <pre class="db-code">
        <code class="sql hljs">
          CREATE TABLE Schüler (
            S_Nr INT,
            Nachname VARCHAR(20),
            Vorname VARCHAR(20),
            Klassenstufe INT
          );
        </code>
      </pre>
    </div>
  </div>
</body>